<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelEntityTracker Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelEntityTracker Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelEntityTracker" --><!-- doxytag: inherits="iBase" -->
<p>This structure maintains a tracker for entities.  
 <a href="structiCelEntityTracker.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="pl_8h_source.html">physicallayer/pl.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelEntityTracker:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelEntityTracker.png" usemap="#iCelEntityTracker_map" alt=""/>
  <map id="iCelEntityTracker_map" name="iCelEntityTracker_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,109,24"/>
</map>
 </div></div>

<p><a href="structiCelEntityTracker-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntityTracker.html#ad669ff71ab8d2cb4f0886fb0afd380d7">AddEntities</a> (<a class="el" href="structiCelEntityTracker.html">iCelEntityTracker</a> *tracker)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add all entities in the given tracker to this tracker.  <a href="#ad669ff71ab8d2cb4f0886fb0afd380d7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntityTracker.html#a52fb4367cdf78da314b378b674bee6ea">AddEntity</a> (<a class="el" href="structiCelEntity.html">iCelEntity</a> *entity)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an entity to this tracker.  <a href="#a52fb4367cdf78da314b378b674bee6ea"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsPtr.html">csPtr</a>&lt; <a class="el" href="structiCelEntityList.html">iCelEntityList</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntityTracker.html#a1405e9851a7112fef54d9112db168234">FindNearbyEntities</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *sector, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;pos, float radius, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a> cls=<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga441e9321397d7398ee7f4da14ba477c8">csInvalidStringID</a>)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find all entities that are within a certain radius of a given object.  <a href="#a1405e9851a7112fef54d9112db168234"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsPtr.html">csPtr</a>&lt; <a class="el" href="structiCelEntityIterator.html">iCelEntityIterator</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntityTracker.html#a458d9535c98679c524a2ed94c6c25c3d">GetIterator</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an iterator for all entities in this tracker.  <a href="#a458d9535c98679c524a2ed94c6c25c3d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntityTracker.html#aa451f1dc4444488919d9795d8872d378">GetName</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of this tracker.  <a href="#aa451f1dc4444488919d9795d8872d378"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntityTracker.html#aefd8b3a6fb756c425563129aa2ddd7d7">RemoveEntities</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove all entities from this tracker.  <a href="#aefd8b3a6fb756c425563129aa2ddd7d7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntityTracker.html#ac1a7f64e33357f65118994cdd2281fa2">RemoveEntities</a> (<a class="el" href="structiCelEntityTracker.html">iCelEntityTracker</a> *tracker)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove all entities in the given tracker from this tracker.  <a href="#ac1a7f64e33357f65118994cdd2281fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelEntityTracker.html#a0f51d45ac64fb7059f74952a30f1c636">RemoveEntity</a> (<a class="el" href="structiCelEntity.html">iCelEntity</a> *entity)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove an entity from this tracker.  <a href="#a0f51d45ac64fb7059f74952a30f1c636"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This structure maintains a tracker for entities. </p>
<p>You can use this to find all entities near some location. Note that this only works on entities with a pcmesh property class. </p>

<p>Definition at line <a class="el" href="pl_8h_source.html#l00601">601</a> of file <a class="el" href="pl_8h_source.html">pl.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ad669ff71ab8d2cb4f0886fb0afd380d7"></a><!-- doxytag: member="iCelEntityTracker::AddEntities" ref="ad669ff71ab8d2cb4f0886fb0afd380d7" args="(iCelEntityTracker *tracker)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelEntityTracker.html#ad669ff71ab8d2cb4f0886fb0afd380d7">iCelEntityTracker::AddEntities</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntityTracker.html">iCelEntityTracker</a> *&#160;</td>
          <td class="paramname"><em>tracker</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add all entities in the given tracker to this tracker. </p>

</div>
</div>
<a class="anchor" id="a52fb4367cdf78da314b378b674bee6ea"></a><!-- doxytag: member="iCelEntityTracker::AddEntity" ref="a52fb4367cdf78da314b378b674bee6ea" args="(iCelEntity *entity)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelEntityTracker.html#a52fb4367cdf78da314b378b674bee6ea">iCelEntityTracker::AddEntity</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>entity</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add an entity to this tracker. </p>
<p>This only works on entities that have a pcmesh property class. It will return false if that property class is missing. </p>

</div>
</div>
<a class="anchor" id="a1405e9851a7112fef54d9112db168234"></a><!-- doxytag: member="iCelEntityTracker::FindNearbyEntities" ref="a1405e9851a7112fef54d9112db168234" args="(iSector *sector, const csVector3 &amp;pos, float radius, csStringID cls=csInvalidStringID)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsPtr.html">csPtr</a>&lt;<a class="el" href="structiCelEntityList.html">iCelEntityList</a>&gt; <a class="el" href="structiCelEntityTracker.html#a1405e9851a7112fef54d9112db168234">iCelEntityTracker::FindNearbyEntities</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *&#160;</td>
          <td class="paramname"><em>sector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>radius</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gad5ecc59cce16a9f5a796b6e55da62e56">csStringID</a>&#160;</td>
          <td class="paramname"><em>cls</em> = <code><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga441e9321397d7398ee7f4da14ba477c8">csInvalidStringID</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find all entities that are within a certain radius of a given object. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">cls</td><td>If this is not equal to csInvalidStringID then only entities that have that class will be returned. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a458d9535c98679c524a2ed94c6c25c3d"></a><!-- doxytag: member="iCelEntityTracker::GetIterator" ref="a458d9535c98679c524a2ed94c6c25c3d" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsPtr.html">csPtr</a>&lt;<a class="el" href="structiCelEntityIterator.html">iCelEntityIterator</a>&gt; <a class="el" href="structiCelEntityTracker.html#a458d9535c98679c524a2ed94c6c25c3d">iCelEntityTracker::GetIterator</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an iterator for all entities in this tracker. </p>

</div>
</div>
<a class="anchor" id="aa451f1dc4444488919d9795d8872d378"></a><!-- doxytag: member="iCelEntityTracker::GetName" ref="aa451f1dc4444488919d9795d8872d378" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiCelEntityTracker.html#aa451f1dc4444488919d9795d8872d378">iCelEntityTracker::GetName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of this tracker. </p>

</div>
</div>
<a class="anchor" id="aefd8b3a6fb756c425563129aa2ddd7d7"></a><!-- doxytag: member="iCelEntityTracker::RemoveEntities" ref="aefd8b3a6fb756c425563129aa2ddd7d7" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelEntityTracker.html#aefd8b3a6fb756c425563129aa2ddd7d7">iCelEntityTracker::RemoveEntities</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove all entities from this tracker. </p>

</div>
</div>
<a class="anchor" id="ac1a7f64e33357f65118994cdd2281fa2"></a><!-- doxytag: member="iCelEntityTracker::RemoveEntities" ref="ac1a7f64e33357f65118994cdd2281fa2" args="(iCelEntityTracker *tracker)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelEntityTracker.html#aefd8b3a6fb756c425563129aa2ddd7d7">iCelEntityTracker::RemoveEntities</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntityTracker.html">iCelEntityTracker</a> *&#160;</td>
          <td class="paramname"><em>tracker</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove all entities in the given tracker from this tracker. </p>

</div>
</div>
<a class="anchor" id="a0f51d45ac64fb7059f74952a30f1c636"></a><!-- doxytag: member="iCelEntityTracker::RemoveEntity" ref="a0f51d45ac64fb7059f74952a30f1c636" args="(iCelEntity *entity)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelEntityTracker.html#a0f51d45ac64fb7059f74952a30f1c636">iCelEntityTracker::RemoveEntity</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>entity</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove an entity from this tracker. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>physicallayer/<a class="el" href="pl_8h_source.html">pl.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
